Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class EndpointConsumer

    java.lang.Object
      net.sf.dropboxmq.resource.spi.EndpointConsumer

    public class EndpointConsumer

extends Object

Created: 18 Feb 2006

Version:
  $Revision: 221 $, $Date: 2011-01-30 22:07:27 -0700 (Sun, 30 Jan 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`EndpointConsumer(MessageEndpoint messageEndpoint, SessionImpl session, XASessionImpl xaSession, ResourceAdapterImpl resourceAdapter)`

Method Summary
`void` | `afterDelivery(MessageImpl message)`
`void` | `beforeDelivery()`
`void` | `close()`
`MessageEndpoint` | `getMessageEndpoint()`
`SessionImpl` | `getSession()`
`XASessionImpl` | `getXASession()`
`boolean` | `isInUse()`
`boolean` | `isLastMessageSuccessful()`
`void` | `setInUse(boolean inUse)`
`void` | `setLastMessageSuccessful(boolean lastMessageSuccessful)`
`void` | `start()`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointConsumer

    public EndpointConsumer(MessageEndpoint messageEndpoint,
                            SessionImpl session,
                            XASessionImpl xaSession,
                            ResourceAdapterImpl resourceAdapter)

Method Detail

### getMessageEndpoint

    public MessageEndpoint getMessageEndpoint()

### getSession

    public SessionImpl getSession()

### getXASession

    public XASessionImpl getXASession()

### setInUse

    public void setInUse(boolean inUse)

### isInUse

    public boolean isInUse()

### isLastMessageSuccessful

    public boolean isLastMessageSuccessful()

### setLastMessageSuccessful

    public void setLastMessageSuccessful(boolean lastMessageSuccessful)

### start

    public void start()
               throws JMSException

  Throws:
    `JMSException`

### beforeDelivery

    public void beforeDelivery()

### afterDelivery

    public void afterDelivery(MessageImpl message)

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD